Đến nội dung


Hình ảnh
- - - - -

[YÊU CẦU] LISP LẤY TEXT TỪ DIM


  • Please log in to reply
6 replies to this topic

#1 dung12789

dung12789

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 December 2012 - 03:21 PM

THÂN CHÀO CÁC BẠN! NHỜ CÁC BẠN GIÚP MÌNH LÀM ĐƯỢC NHƯ TRONG FILE CAD MÌNH ĐÍNH KÈM. LÀM SAO GHI ĐƯỢC SỐ DIM LỚN NHẤT LÊN GOC TRÊN CỦA KHUNG BẢN VẼ.
THANKS CÁC BẠN ĐÃ QUAN TÂM
FILE ĐÍNH KÈM:http://www.cadviet.c...8_cadviet_1.dwg
  • 0

#2 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 106 (tàm tạm)

Đã gửi 06 December 2012 - 04:52 PM

Bạn đưa giá trị DIm lớn nhất lên đó để làm gì vậy?
  • 0

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#3 dung12789

dung12789

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 December 2012 - 06:08 PM

CÁI NÀY LÀ MỘT PHẦN TRONG CÔNG VIỆC CỦA MÌNH, THUẬN TIỆN CHO SẢN XUẤT ĐÓ BẠN ƠI.
  • 0

#4 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 641 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 06 December 2012 - 06:42 PM

CÁI NÀY LÀ MỘT PHẦN TRONG CÔNG VIỆC CỦA MÌNH, THUẬN TIỆN CHO SẢN XUẤT ĐÓ BẠN ƠI.

Mình đã trả lời bạn rồi, bài của bạn cũng đã bị vô thùng rác, bạn lập thêm topic làm gì>
và cũng đừng lập topic với nội dùng toàn CapsLock thế, để chữ thường thôi
Bài của bạn hiện đang ở đây(và đã được trả lời rồi)
http://www.cadviet.c...l=&fromsearch=1
  • 0

#5 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 106 (tàm tạm)

Đã gửi 06 December 2012 - 07:01 PM

 
(defun dxf (code e) (cdr (assoc code (entget e))))
(defun c:ttt (/ ss e dis dmax)
(setq ss (ssget '((0 . "DIMENSION"))) dmax 0)
(repeat (setq i (sslength ss))
(setq e (ssname ss (setq i (1- i))))
(setq dis (distance (dxf 13 e) (dxf 14 e)))
(if (> dis dmax) (setq dmax dis))
)
(entmake (list
(cons 0 "TEXT")
(cons 10 (getpoint "\nDiem ghi gia tri Dim max"))
(cons 1 (rtos dmax))
(cons 40 1000)
)
)
(princ)
)

  • 1

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#6 dung12789

dung12789

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 December 2012 - 07:35 PM


(defun dxf (code e) (cdr (assoc code (entget e))))
(defun c:ttt (/ ss e dis dmax)
(setq ss (ssget '((0 . "DIMENSION"))) dmax 0)
(repeat (setq i (sslength ss))
(setq e (ssname ss (setq i (1- i))))
(setq dis (distance (dxf 13 e) (dxf 14 e)))
(if (> dis dmax) (setq dmax dis))
)
(entmake (list
(cons 0 "TEXT")
(cons 10 (getpoint "\nDiem ghi gia tri Dim max"))
(cons 1 (rtos dmax))
(cons 40 1000)
)
)
(princ)
)

thanks pro nhiều nhiều nha! lisp của pro tuyệt vời quá.
  • 0

#7 kokoo

kokoo

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 December 2012 - 07:44 PM

híc.mọi ng cho mình hỏi/bản cad của mình là 2013.mình cài và dùng bình thường nhưng khi làm xong muốn lưu vào rồi bật lại thì trong nền ko có bản vẽ đã vẽ/dùng file-> drawing utilities -> recover thì mới tìm lại dc??? rất bất tiện/ko hiểu sao nữa.mong mọi ng giúp mình :(
  • 0